#
# spec file for package python-sysv_ipc
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python-sysv_ipc
Version:        0.6.8
Release:        3.2
License:        BSD-3-Clause
Summary:        System V IPC primitives for Python
Url:            http://semanchuk.com/philip/sysv_ipc/
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/source/s/sysv_ipc/sysv_ipc-%{version}.tar.gz
BuildRequires:  python-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitearch: %global python_sitearch %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%endif

%description
Sysv_ipc gives Python programs access to System V semaphores, shared memory 
and message queues. Most (all?) Unixes (including OS X) support System V IPC. 
Windows+Cygwin 1.7 might also work. 

Sample code is included.

You might also be interested in the similar POSIX IPC module at:
http://semanchuk.com/philip/posix_ipc/

%prep
%setup -q -n sysv_ipc-%{version}

%build
CFLAGS="%{optflags}" python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE README ReadMe.html
%{python_sitearch}/*

%changelog
* Fri Oct  3 2014 iartarisi@suse.com
- initial packaging
